SRC :=  $(wildcard src/*.cs)
OUTPUT := out

all: init compile

init:
	mkdir -p $(OUTPUT)

compile:
	csc $(SRC) /nologo /warnaserror \
		/r:lib/Newtonsoft.Json.dll \
		/r:lib/ImageListView.dll \
		/r:lib/log4net.dll \
		/d:TRACE \
		/target:winexe /out:$(OUTPUT)/asl-charts.exe \
		/win32icon:src/app.ico
	cp lib/*.dll $(OUTPUT)

clean:
	rm -r $(OUTPUT)
